=== debian/changelog ===
skytools3 (3.1.5-1.pgdg+1) sid-pgdg; urgency=low

  * Rebuild for sid-pgdg (jenkins-skytools3-source-distribution=sid-10,
    apt-get revision sid)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Wed, 26 Feb 2014 22:48:15 +0100

skytools3 (3.1.5-1) unstable; urgency=medium

  * New upstream version.
  * Include orig-lib.tar.gz for the libusual submodule.
  * Add watch file.
  * Point Vcs at packaging git on git.d.o.
  * Add "9.3" in debian/pgversions.
  * Correctly remove alternatives on remove, spotted by Andreas Beckmann.
    (Closes: #700706)
  * Run installcheck using autopkgtest (needs trust auth).
    + Accept alternative londiste_provider result (- vs %2d).

 -- Christoph Berg <myon@debian.org>  Wed, 26 Feb 2014 21:05:32 +0100
