=== debian/control ===
Source: skytools3
Section: database
Priority: extra
Maintainer: Dimitri Fontaine <dim@tapoueh.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, autoconf (>= 2.65), automake, libtool, libevent-dev,
  python-all-dev, python-support, python-psycopg2, xmlto, asciidoc, libpq-dev, postgresql-server-dev-all
Standards-Version: 3.9.5
Homepage: http://wiki.postgresql.org/wiki/Skytools
Vcs-Git: git://anonscm.debian.org/pkg-postgresql/skytools3.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/skytools3.git
XS-Testsuite: autopkgtest

Package: skytools3
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, python-pgq3, adduser
Description: Skype tools for PostgreSQL replication, londiste and PGQ
 This is a package of tools in use in Skype for replication and failover. It
 contains the Londiste and PGQ services and scripts to run.

Package: python-pgq3
Architecture: any
Section: python
Depends: ${misc:Depends}, ${python:Depends}, python-skytools3, python-psycopg2
Description: python framework for Skype tools for PostgreSQL replication
 This is a package of tools in use in Skype for replication and failover.
 It includes a generic queuing mechanism PgQ and utility library for Python
 scripts.

Package: python-skytools3
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Suggests: python-psycopg2
Description: python framework for Skype tools for PostgreSQL replication
 This is a package of tools in use in Skype for replication and failover.
 It contains the Skytools' python framework for scripting against a
 PostgreSQL database, which is used by londiste, walmgr and PGQ.

Package: skytools3-walmgr
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, python-skytools3
Enhances: postgresql-8.4, postgresql-9.0, postgresql-9.1, postgresql-9.2, postgresql-9.3
Description: Skype tools for PostgreSQL replication and failover
 This is a package of tools in use in Skype for replication and failover.
 It's the WAL Shipping part of it (binary cluster-wide replication).

Package: skytools3-ticker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Skype tools for PostgreSQL replication, londiste and PGQ
 This is the PGQ ticker used by Skype replication, londiste. It consists of
 PL/pgsql, and C code in database, with Python framework on top of it.  It
 is based on snapshot based event handling ideas from Slony-I, written for
 general usage.

Package: postgresql-8.4-pgq3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-8.4
Provides: skytools-modules
Conflicts: skytools-modules-8.4
Replaces: skytools-modules-8.4
Description: Skype tools for PostgreSQL replication, londiste and PGQ
 This is the PGQ extension used by Skype replication, londiste. It consists
 of PL/pgsql, and C code in database.

Package: postgresql-9.0-pgq3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.0
Provides: skytools-modules
Conflicts: skytools-modules-9.0
Replaces: skytools-modules-9.0
Description: Skype tools for PostgreSQL replication, londiste and PGQ
 This is the PGQ extension used by Skype replication, londiste. It consists
 of PL/pgsql, and C code in database.

Package: postgresql-9.1-pgq3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.1
Provides: skytools-modules
Conflicts: skytools-modules-9.1
Replaces: skytools-modules-9.1
Description: Skype tools for PostgreSQL replication, londiste and PGQ
 This is the PGQ extension used by Skype replication, londiste. It consists
 of PL/pgsql, and C code in database.

Package: postgresql-9.2-pgq3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.2
Provides: skytools-modules
Conflicts: skytools-modules-9.2
Replaces: skytools-modules-9.2
Description: Skype tools for PostgreSQL replication, londiste and PGQ
 This is the PGQ extension used by Skype replication, londiste. It consists
 of PL/pgsql, and C code in database.

Package: postgresql-9.3-pgq3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.3
Provides: skytools-modules
Conflicts: skytools-modules-9.3
Replaces: skytools-modules-9.3
Description: Skype tools for PostgreSQL replication, londiste and PGQ
 This is the PGQ extension used by Skype replication, londiste. It consists
 of PL/pgsql, and C code in database.
