=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, postgresql-plpython, postgresql-plpython-9.3, postgresql-plpython-9.2, postgresql-plpython-9.1, postgresql-plpython-9.0, postgresql-plpython-8.4
Tests: installcheck
Restrictions: needs-root build-needed allow-stderr
