=== sql/pgq/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 
 EXTENSION = pgq
 
-EXT_VERSION = 3.1.3
-EXT_OLD_VERSIONS = 3.1 3.1.1 3.1.2
+EXT_VERSION = 3.2
+EXT_OLD_VERSIONS = 3.1 3.1.1 3.1.2 3.1.3 3.1.6
 
 DOCS = README.pgq
