=== sql/pgq_node/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 
 EXTENSION = pgq_node
 
-EXT_VERSION = 3.1.3
-EXT_OLD_VERSIONS = 3.1
+EXT_VERSION = 3.2
+EXT_OLD_VERSIONS = 3.1 3.1.3 3.1.6
 
 Extension_regress = pgq_node_init_ext   pgq_node_test
 Contrib_regress   = pgq_node_init_noext pgq_node_test
