=== debian/changelog ===
skytools3 (3.2-2) unstable; urgency=medium

  * Remove /var/{log,run}/skytools on purge. Spotted by piuparts.
  * Move to dh-python2. Suggested by lintian.

 -- Christoph Berg <myon@debian.org>  Wed, 13 Aug 2014 23:44:01 +0200

skytools3 (3.2-1) unstable; urgency=medium

  * Build against PostgreSQL 9.4.
  * New upstream version.
  * Set team as maintainer.
  * Use "all" in debian/pgversions and B-D on pg-server-dev-all 148.
  * Generate debian/postgresql-*-pgq3.* at build time.
  * Pull a0f3c0e169ad19ab8486bbb95855132550f905c2 from upstream to fix
    londiste regression tests.

 -- Christoph Berg <myon@debian.org>  Mon, 28 Jul 2014 00:22:12 +0200
