=== debian/changelog ===
skytools3 (3.2.6-5) unstable; urgency=medium

  * Team upload with 9.6 support.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 28 Sep 2016 10:56:20 +0200

skytools3 (3.2.6-4) unstable; urgency=medium

  * Build for PostgreSQL 9.5.

 -- Martin Pitt <mpitt@debian.org>  Thu, 14 Jan 2016 21:49:04 +0100

skytools3 (3.2.6-3) unstable; urgency=medium

  * Install missing skytools_upgrade3 command and manpage

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 04 Mar 2015 07:38:26 +0100

skytools3 (3.2.6-2) unstable; urgency=medium

  * Change the init script to create transient data directories owned by
    the user running the daemon

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 02 Mar 2015 17:41:48 +0100

skytools3 (3.2.6-1) unstable; urgency=medium

  * New upstream version.
  * Updated watch file. Github repository is the authoritative source.
  * Remove upstream patch a0f3c0e169ad19ab8486bbb95855132550f905c2
  * Configure git-buildpackage to work with submodules.
  * debian/control: Add myself to Uploaders field
  * Updated Standards-Version to 3.9.6 (no changes)
  * Add tests-invalid-echo.patch: Fix invalid "off" value for \set ECHO to
    "none". Fixes test regression with PostgreSQL 9.4.1.
    Thanks to Martin Pitt <martin.pitt@ubuntu.com> (Closes: 777524)
  * Add tests-ticker-missing-installcheck.patch: Fix missing installcheck
    target in ticker Makefile

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 27 Feb 2015 16:03:11 +0100
