=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: database
 Priority: extra
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
-Uploaders: Dimitri Fontaine <dim@tapoueh.org>, Christoph Berg <myon@debian.org>
+Uploaders: Dimitri Fontaine <dim@tapoueh.org>, Christoph Berg <myon@debian.org>, Marco Nenciarini <mnencia@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev, autoconf (>= 2.65), automake, libtool, libevent-dev,
   python-all-dev (>= 2.6.6-3~), dh-python, python-psycopg2,
   xmlto, asciidoc,
   libpq-dev, postgresql-server-dev-all (>= 148~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://wiki.postgresql.org/wiki/Skytools
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/skytools3.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/skytools3.git
@@ -57,12 +57,12 @@
  is based on snapshot based event handling ideas from Slony-I, written for
  general usage.
 
-Package: postgresql-9.4-pgq3
+Package: postgresql-9.6-pgq3
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.4
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.6
 Provides: skytools-modules
-Conflicts: skytools-modules-9.4
-Replaces: skytools-modules-9.4
+Conflicts: skytools-modules-9.6
+Replaces: skytools-modules-9.6
 Description: Skype tools for PostgreSQL replication, londiste and PGQ
  This is the PGQ extension used by Skype replication, londiste. It consists
  of PL/pgsql, and C code in database.
