=== debian/rules ===
#!/usr/bin/make -f

SRCDIR      = $(CURDIR)
PKGVERS     = $(shell dpkg-parsechangelog | awk -F '[:-]' '/^Version:/ { print substr($$2, 2) }')
ORIG_EXCLUDE=--exclude-vcs --exclude=debian

include /usr/share/postgresql-common/pgxs_debian_control.mk

config.mak:
	./autogen.sh
	./configure --prefix=/usr --with-asciidoc --with-sk3-subdir
	set -e; for v in $$(pg_buildext supported-versions $(CURDIR)); do \
		echo "usr/share/doc/postgresql-$$v" > debian/postgresql-$$v-pgq3.dirs; \
		echo "sql/pgq/README.pgq" > debian/postgresql-$$v-pgq3.docs; \
		echo "sql/pgq_ext/README.pgq_ext" >> debian/postgresql-$$v-pgq3.docs; \
		echo "usr/lib/postgresql/$$v/lib/pgq_triggers.so" > debian/postgresql-$$v-pgq3.install; \
		echo "usr/lib/postgresql/$$v/lib/pgq_lowlevel.so" >> debian/postgresql-$$v-pgq3.install; \
		echo "usr/share/postgresql/$$v/contrib" >> debian/postgresql-$$v-pgq3.install; \
		expr $$v \>= 9.1 && echo "usr/share/postgresql/$$v/extension" >> debian/postgresql-$$v-pgq3.install; \
	done

override_dh_auto_configure: config.mak

override_dh_auto_clean: config.mak
	$(MAKE) -C doc realclean
	dh_auto_clean -- distclean
	rm -rf build.sk3 lib/usual/config.h scripts/*.pyc sql/ticker/lib/usual/*.o.d sql/pgq/*/*.so* python/skytools/installer_config.py
	rm -rf "debian/postgresql-*-pgq3"
	# manually add plpython dependencies for autopkgtest (we could
	# probably make postgresql-*-pgq3 depend on postgresql-plpython-*, but
	# that's not needed for basic operation)
	sed -i -e "s/postgresql-plpython.*/postgresql-plpython/" debian/tests/control
	for v in $$(pg_buildext supported-versions) ; do \
		sed -i -e "s/postgresql-plpython/postgresql-plpython, postgresql-plpython-$$v/" debian/tests/control ; \
	done

# build sql modules for several postgres versions
override_dh_auto_install: config.mak
	mkdir -p $(CURDIR)/debian/tmp
	dh_auto_install
	$(MAKE) -C doc htmlinstall DESTDIR=$(CURDIR)/debian/tmp
	# now care about any previous supported versions
	for v in $$(pg_buildext supported-versions $(CURDIR)); do \
		echo "### Building for PostgreSQL $$v" && \
		make -C sql clean install \
			PG_CONFIG=/usr/lib/postgresql/$$v/bin/pg_config \
			DESTDIR=$(CURDIR)/debian/tmp \
		|| exit 1 ; \
	done


orig: config.mak
	rm -rf dist
	make tgz
	mv dist/*.tar.gz ../skytools3_$(PKGVERS).orig.tar.gz

%:
	dh $@ --with python2
